import { SetStatusQuoteUseCase } from "@/contexts/sales/application";
import { registerQuoteRepository } from "../../../../Quote.repository";
import { ISalesContext } from "../../../../Sales.context";
import { SetStatusQuoteController } from "./SetStatusQuote.controller";

export const setStatusQuoteController = (context: ISalesContext) => {
  registerQuoteRepository(context);
  return new SetStatusQuoteController(
    {
      useCase: new SetStatusQuoteUseCase(context),
    },
    context
  );
};
